curl --request POST \
--url https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
'import requests
url = "https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler"
payload = {
"image": "<string>",
"creativity": 0,
"engine": "automatic",
"fractality": 0,
"hdr": 0,
"optimized_for": "standard",
"prompt": "<string>",
"resemblance": 0,
"scale_factor": "2x",
"webhook_url": "https://www.example.com/webhook"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
image: '<string>',
creativity: 0,
engine: 'automatic',
fractality: 0,
hdr: 0,
optimized_for: 'standard',
prompt: '<string>',
resemblance: 0,
scale_factor: '2x',
webhook_url: 'https://www.example.com/webhook'
})
};
fetch('https://api.comfy.org/proxy/freepik/v1/ai/image-upscaler', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"generated": [
"<string>"
],
"task_id": "046b6c7f-0b8a-43b9-b35d-6489e6daee91"
}
}{
"error": "<string>",
"message": "<string>"
}{
"error": "<string>",
"message": "<string>"
}Magnific으로 이미지 업스케일링
이 비동기 엔드포인트는 고급 AI 알고리즘을 사용하여 이미지 업스케일링을 가능하게 합니다. 제출 시 고유한 task_id를 반환하며, 이를 통해 진행 상황을 추적할 수 있습니다. 실시간 프로덕션 사용을 위해 선택적 webhook_url 매개변수를 포함하면 작업이 완료된 후 자동 알림을 받을 수 있습니다.
인증
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
본문
업스케일할 Base64 이미지 또는 URL. 결과 이미지는 최대 허용 크기인 2530만 픽셀을 초과할 수 없습니다.
AI의 창의성을 높이거나 낮춥니다. 유효 값 범위는 [-10, 10]입니다.
-10 <= x <= 10Magnific 모델 엔진입니다.
automatic, magnific_illusio, magnific_sharpy, magnific_sparkle 프롬프트의 강도와 제곱 픽셀당 복잡성을 제어합니다. 유효 값 범위는 [-10, 10]입니다.
-10 <= x <= 10선명도와 세부 수준을 높이거나 낮춥니다. 유효 값 범위는 [-10, 10]입니다.
-10 <= x <= 10업스케일 프로세스를 최적화하기 위한 스타일입니다.
standard, soft_portraits, hard_portraits, art_n_illustration, videogame_assets, nature_n_landscapes, films_n_photography, 3d_renders, science_fiction_n_horror 업스케일 프로세스를 안내하는 프롬프트입니다. AI 생성 이미지에 동일한 프롬프트를 재사용하면 결과가 향상됩니다.
원본 이미지와의 유사도 수준을 조정합니다. 유효 값 범위는 [-10, 10]입니다.
-10 <= x <= 10이미지의 크기 조절 비율을 구성합니다. 비율이 높을수록 이미지 처리 시간이 길어집니다.
2x, 4x, 8x, 16x 작업 상태가 변경될 때마다 비동기 알림을 수신하는 선택적 콜백 URL입니다.
"https://www.example.com/webhook"
응답
OK - 업스케일링 프로세스가 시작되었습니다.
Show child attributes
Show child attributes